diff --git a/TMOgui/resources3.ui b/TMOgui/resources3.ui
index 4dc861c..bb75e2d 100644
--- a/TMOgui/resources3.ui
+++ b/TMOgui/resources3.ui
@@ -1,589 +1,435 @@
-<!DOCTYPE UI><UI>
-<class>TMOGUINewFile</class>
-<widget>
-    <class>QDialog</class>
-    <property stdset="1">
-        <name>name</name>
-        <cstring>TMOGUINewFile</cstring>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0" stdsetdef="1">
+  <author></author>
+  <comment></comment>
+  <exportmacro></exportmacro>
+  <class>TMOGUINewFile</class>
+  <widget class="QDialog" name="TMOGUINewFile">
+    <property name="geometry">
+      <rect>
+        <x>0</x>
+        <y>0</y>
+        <width>371</width>
+        <height>345</height>
+      </rect>
     </property>
-    <property stdset="1">
-        <name>geometry</name>
+    <property name="windowTitle">
+      <string>New File</string>
+    </property>
+    <widget class="Q3GroupBox" name="GroupBox1">
+      <property name="geometry">
         <rect>
-            <x>0</x>
-            <y>0</y>
-            <width>371</width>
-            <height>345</height>
+          <x>10</x>
+          <y>10</y>
+          <width>251</width>
+          <height>121</height>
         </rect>
-    </property>
-    <property stdset="1">
-        <name>caption</name>
-        <string>New File</string>
-    </property>
-    <widget>
-        <class>QGroupBox</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>GroupBox1</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>10</x>
-                <y>10</y>
-                <width>251</width>
-                <height>121</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>title</name>
-            <string>Properties</string>
-        </property>
-        <widget>
-            <class>QLabel</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>TextLabel2</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>10</x>
-                    <y>20</y>
-                    <width>101</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>File Name :</string>
-            </property>
-        </widget>
-        <widget>
-            <class>QLabel</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>TextLabel3</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>10</x>
-                    <y>60</y>
-                    <width>100</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>Width :</string>
-            </property>
-        </widget>
-        <widget>
-            <class>QLabel</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>TextLabel4</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>10</x>
-                    <y>90</y>
-                    <width>100</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>Height :</string>
-            </property>
-        </widget>
-        <widget>
-            <class>QLineEdit</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>LineEdit2</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>110</x>
-                    <y>60</y>
-                    <width>131</width>
-                    <height>22</height>
-                </rect>
-            </property>
-        </widget>
-        <widget>
-            <class>QLineEdit</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>LineEdit3</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>110</x>
-                    <y>90</y>
-                    <width>131</width>
-                    <height>22</height>
-                </rect>
-            </property>
-        </widget>
-        <widget>
-            <class>QLineEdit</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>LineEdit1</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>110</x>
-                    <y>20</y>
-                    <width>131</width>
-                    <height>22</height>
-                </rect>
-            </property>
-        </widget>
+      </property>
+      <property name="title">
+        <string>Properties</string>
+      </property>
+      <widget class="QLabel" name="TextLabel2">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>20</y>
+            <width>101</width>
+            <height>21</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>File Name :</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLabel" name="TextLabel3">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>60</y>
+            <width>100</width>
+            <height>21</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>Width :</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLabel" name="TextLabel4">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>90</y>
+            <width>100</width>
+            <height>21</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>Height :</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit2">
+        <property name="geometry">
+          <rect>
+            <x>110</x>
+            <y>60</y>
+            <width>131</width>
+            <height>22</height>
+          </rect>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit3">
+        <property name="geometry">
+          <rect>
+            <x>110</x>
+            <y>90</y>
+            <width>131</width>
+            <height>22</height>
+          </rect>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit1">
+        <property name="geometry">
+          <rect>
+            <x>110</x>
+            <y>20</y>
+            <width>131</width>
+            <height>22</height>
+          </rect>
+        </property>
+      </widget>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel5</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>20</x>
-                <y>220</y>
-                <width>60</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Minimum :</string>
-        </property>
+    <widget class="QLabel" name="TextLabel5">
+      <property name="geometry">
+        <rect>
+          <x>20</x>
+          <y>220</y>
+          <width>60</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Minimum :</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel9</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>20</x>
-                <y>280</y>
-                <width>60</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Green</string>
-        </property>
+    <widget class="QLabel" name="TextLabel9">
+      <property name="geometry">
+        <rect>
+          <x>20</x>
+          <y>280</y>
+          <width>60</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Green</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel10</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>20</x>
-                <y>310</y>
-                <width>60</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Blue</string>
-        </property>
+    <widget class="QLabel" name="TextLabel10">
+      <property name="geometry">
+        <rect>
+          <x>20</x>
+          <y>310</y>
+          <width>60</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Blue</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel8</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>20</x>
-                <y>250</y>
-                <width>61</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Red</string>
-        </property>
+    <widget class="QLabel" name="TextLabel8">
+      <property name="geometry">
+        <rect>
+          <x>20</x>
+          <y>250</y>
+          <width>61</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Red</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel6</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>210</x>
-                <y>220</y>
-                <width>70</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Maximum :</string>
-        </property>
+    <widget class="QLabel" name="TextLabel6">
+      <property name="geometry">
+        <rect>
+          <x>210</x>
+          <y>220</y>
+          <width>70</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Maximum :</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel13</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>210</x>
-                <y>310</y>
-                <width>50</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Blue</string>
-        </property>
+    <widget class="QLabel" name="TextLabel13">
+      <property name="geometry">
+        <rect>
+          <x>210</x>
+          <y>310</y>
+          <width>50</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Blue</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel12</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>210</x>
-                <y>280</y>
-                <width>50</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Green</string>
-        </property>
+    <widget class="QLabel" name="TextLabel12">
+      <property name="geometry">
+        <rect>
+          <x>210</x>
+          <y>280</y>
+          <width>50</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Green</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel11</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>210</x>
-                <y>250</y>
-                <width>50</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Red</string>
-        </property>
+    <widget class="QLabel" name="TextLabel11">
+      <property name="geometry">
+        <rect>
+          <x>210</x>
+          <y>250</y>
+          <width>50</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Red</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QLabel</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>TextLabel14</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>180</x>
-                <y>140</y>
-                <width>140</width>
-                <height>21</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Maximum Placement :</string>
-        </property>
+    <widget class="QLabel" name="TextLabel14">
+      <property name="geometry">
+        <rect>
+          <x>180</x>
+          <y>140</y>
+          <width>140</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Maximum Placement :</string>
+      </property>
+      <property name="wordWrap">
+        <bool>false</bool>
+      </property>
     </widget>
-    <widget>
-        <class>QPushButton</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PushButton2</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>270</x>
-                <y>60</y>
-                <width>91</width>
-                <height>31</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Cancel</string>
-        </property>
+    <widget class="QPushButton" name="PushButton2">
+      <property name="geometry">
+        <rect>
+          <x>270</x>
+          <y>60</y>
+          <width>91</width>
+          <height>31</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Cancel</string>
+      </property>
     </widget>
-    <widget>
-        <class>QPushButton</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PushButton1</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>270</x>
-                <y>20</y>
-                <width>91</width>
-                <height>31</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>OK</string>
-        </property>
+    <widget class="QPushButton" name="PushButton1">
+      <property name="geometry">
+        <rect>
+          <x>270</x>
+          <y>20</y>
+          <width>91</width>
+          <height>31</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>OK</string>
+      </property>
     </widget>
-    <widget>
-        <class>QButtonGroup</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>ButtonGroup1</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>10</x>
-                <y>140</y>
-                <width>150</width>
-                <height>70</height>
-            </rect>
-        </property>
-        <property stdset="1">
-            <name>title</name>
-            <string>Luminance</string>
-        </property>
-        <widget>
-            <class>QRadioButton</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>RadioButton1</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>10</x>
-                    <y>20</y>
-                    <width>80</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>Constant</string>
-            </property>
-            <property stdset="1">
-                <name>checked</name>
-                <bool>false</bool>
-            </property>
-        </widget>
-        <widget>
-            <class>QRadioButton</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>RadioButton2</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>10</x>
-                    <y>40</y>
-                    <width>80</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>Gradient</string>
-            </property>
-            <property stdset="1">
-                <name>checked</name>
-                <bool>true</bool>
-            </property>
-        </widget>
+    <widget class="Q3ButtonGroup" name="ButtonGroup1">
+      <property name="geometry">
+        <rect>
+          <x>10</x>
+          <y>140</y>
+          <width>150</width>
+          <height>70</height>
+        </rect>
+      </property>
+      <property name="title">
+        <string>Luminance</string>
+      </property>
+      <widget class="QRadioButton" name="RadioButton1">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>20</y>
+            <width>80</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>Constant</string>
+        </property>
+        <property name="checked">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QRadioButton" name="RadioButton2">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>40</y>
+            <width>80</width>
+            <height>21</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>Gradient</string>
+        </property>
+        <property name="checked">
+          <bool>true</bool>
+        </property>
+      </widget>
     </widget>
-    <widget>
-        <class>QLineEdit</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>LineEdit5</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>80</x>
-                <y>250</y>
-                <width>90</width>
-                <height>22</height>
-            </rect>
-        </property>
+    <widget class="QLineEdit" name="LineEdit5">
+      <property name="geometry">
+        <rect>
+          <x>80</x>
+          <y>250</y>
+          <width>90</width>
+          <height>22</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QLineEdit</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>LineEdit6</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>80</x>
-                <y>280</y>
-                <width>90</width>
-                <height>22</height>
-            </rect>
-        </property>
+    <widget class="QLineEdit" name="LineEdit6">
+      <property name="geometry">
+        <rect>
+          <x>80</x>
+          <y>280</y>
+          <width>90</width>
+          <height>22</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QLineEdit</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>LineEdit7</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>80</x>
-                <y>310</y>
-                <width>90</width>
-                <height>22</height>
-            </rect>
-        </property>
+    <widget class="QLineEdit" name="LineEdit7">
+      <property name="geometry">
+        <rect>
+          <x>80</x>
+          <y>310</y>
+          <width>90</width>
+          <height>22</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QLineEdit</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>LineEdit8</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>270</x>
-                <y>250</y>
-                <width>91</width>
-                <height>22</height>
-            </rect>
-        </property>
+    <widget class="QLineEdit" name="LineEdit8">
+      <property name="geometry">
+        <rect>
+          <x>270</x>
+          <y>250</y>
+          <width>91</width>
+          <height>22</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QLineEdit</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>LineEdit9</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>270</x>
-                <y>280</y>
-                <width>91</width>
-                <height>22</height>
-            </rect>
-        </property>
+    <widget class="QLineEdit" name="LineEdit9">
+      <property name="geometry">
+        <rect>
+          <x>270</x>
+          <y>280</y>
+          <width>91</width>
+          <height>22</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QComboBox</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>ComboBox1</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>180</x>
-                <y>170</y>
-                <width>180</width>
-                <height>21</height>
-            </rect>
-        </property>
+    <widget class="QComboBox" name="ComboBox1">
+      <property name="geometry">
+        <rect>
+          <x>180</x>
+          <y>170</y>
+          <width>180</width>
+          <height>21</height>
+        </rect>
+      </property>
     </widget>
-    <widget>
-        <class>QLineEdit</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>LineEdit10</cstring>
-        </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>270</x>
-                <y>310</y>
-                <width>91</width>
-                <height>22</height>
-            </rect>
-        </property>
+    <widget class="QLineEdit" name="LineEdit10">
+      <property name="geometry">
+        <rect>
+          <x>270</x>
+          <y>310</y>
+          <width>91</width>
+          <height>22</height>
+        </rect>
+      </property>
     </widget>
-</widget>
-<connections>
+  </widget>
+  <pixmapfunction>qPixmapFromMimeSource</pixmapfunction>
+  <connections>
     <connection>
-        <sender>PushButton1</sender>
-        <signal>clicked()</signal>
-        <receiver>TMOGUINewFile</receiver>
-        <slot>accept()</slot>
+      <sender>PushButton1</sender>
+      <signal>clicked()</signal>
+      <receiver>TMOGUINewFile</receiver>
+      <slot>accept()</slot>
     </connection>
     <connection>
-        <sender>PushButton2</sender>
-        <signal>clicked()</signal>
-        <receiver>TMOGUINewFile</receiver>
-        <slot>reject()</slot>
+      <sender>PushButton2</sender>
+      <signal>clicked()</signal>
+      <receiver>TMOGUINewFile</receiver>
+      <slot>reject()</slot>
     </connection>
     <connection>
-        <sender>RadioButton1</sender>
-        <signal>toggled(bool)</signal>
-        <receiver>ComboBox1</receiver>
-        <slot>setDisabled(bool)</slot>
+      <sender>RadioButton1</sender>
+      <signal>toggled(bool)</signal>
+      <receiver>ComboBox1</receiver>
+      <slot>setDisabled(bool)</slot>
     </connection>
     <connection>
-        <sender>RadioButton1</sender>
-        <signal>toggled(bool)</signal>
-        <receiver>LineEdit8</receiver>
-        <slot>setDisabled(bool)</slot>
+      <sender>RadioButton1</sender>
+      <signal>toggled(bool)</signal>
+      <receiver>LineEdit8</receiver>
+      <slot>setDisabled(bool)</slot>
     </connection>
     <connection>
-        <sender>RadioButton1</sender>
-        <signal>toggled(bool)</signal>
-        <receiver>LineEdit9</receiver>
-        <slot>setDisabled(bool)</slot>
+      <sender>RadioButton1</sender>
+      <signal>toggled(bool)</signal>
+      <receiver>LineEdit9</receiver>
+      <slot>setDisabled(bool)</slot>
     </connection>
     <connection>
-        <sender>RadioButton1</sender>
-        <signal>toggled(bool)</signal>
-        <receiver>LineEdit10</receiver>
-        <slot>setDisabled(bool)</slot>
+      <sender>RadioButton1</sender>
+      <signal>toggled(bool)</signal>
+      <receiver>LineEdit10</receiver>
+      <slot>setDisabled(bool)</slot>
     </connection>
-</connections>
-</UI>
+  </connections>
+</ui>
